LLVM Discussion Forums

Unknown CUDA version 10.2

Hi,

After upgrading all packages on my ubuntu machine clang no longer works as expected. My CUDA version was upgraded to 10.2 and clang, for no obvious reason, complains about it:

Unknown CUDA version 10.2 Assuming the latest supported version 10.1 [-Werror,-Wunknown-cuda-version]

How do I prevent clang from bothering about my CUDA version without interfering with the buildsystem using clang (by adding the extra flag suggested in the error)?

Btw, 10.2 is the latest supported version of CUDA.

1 Like